/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatDialogModule } from '@angular/material/dialog';
import { MatListModule } from '@angular/material/list';
import { COMMANDBAR_OPTIONSMENU_DATA, CommandbarOptionsmenuComponent } from './commandbar-optionsmenu.component';
import { CommandbarOptionsmenuConfig } from './commandbar-optionsmenu.model';

describe('CommandbarOptionsmenuComponent', () => {
  let component: CommandbarOptionsmenuComponent;
  let fixture: ComponentFixture<CommandbarOptionsmenuComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [MatListModule, MatDialogModule],
        declarations: [CommandbarOptionsmenuComponent],
        providers: [
          {
            provide: COMMANDBAR_OPTIONSMENU_DATA,
            useValue: <CommandbarOptionsmenuConfig>{},
          },
        ],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(CommandbarOptionsmenuComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
